Package org.apache.axiom.om.format.xop

# Class CombinedContentTransferEncodingPolicy

java.lang.Object
org.apache.axiom.om.format.xop.CombinedContentTransferEncodingPolicy

All Implemented Interfaces:
  `ContentTransferEncodingPolicy`

public final class CombinedContentTransferEncodingPolicy extends Object implements ContentTransferEncodingPolicy
`ContentTransferEncodingPolicy` implementation that combines multiple other `ContentTransferEncodingPolicy` instances into a single policy. It returns the first non-null `ContentTransferEncoding`.

- ## Field Summary

  ### Fields inherited from interface org.apache.axiom.om.format.xop.ContentTransferEncodingPolicy

  `USE_BASE64_FOR_NON_TEXTUAL_PARTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CombinedContentTransferEncodingPolicy(ContentTransferEncodingPolicy... policies)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContentTransferEncoding`
  `getContentTransferEncoding(Blob blob, ContentType contentType)`
  Determine the content transfer encoding to use for a MIME part.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CombinedContentTransferEncodingPolicy

    public CombinedContentTransferEncodingPolicy(ContentTransferEncodingPolicy... policies)

- ## Method Details

  - ### getContentTransferEncoding

    public ContentTransferEncoding getContentTransferEncoding(Blob blob, ContentType contentType)
    Description copied from interface: `ContentTransferEncodingPolicy`
    Determine the content transfer encoding to use for a MIME part.
    Specified by:
      `getContentTransferEncoding` in interface `ContentTransferEncodingPolicy`
    Parameters:
      `blob` - the content of the MIME part; may be `null`
      `contentType` - the content type of the MIME part (as determined by `ContentTypeProvider`; may be `null`
    Returns:
      the content transfer encoding, or `null` if no content transfer encoding is specified (in which case another `ContentTransferEncodingPolicy` may be consulted or a default is used)